; ---------------------------------------------------------------
; DateFormat filepath format 
; filepath: file to check for date (last modified) - empty ("") for current date
; format: using yyyy,yy,m,mm,mmm,d,dd,ddd,dddd (+ constant text in single quote marks) 
; OUT to console 
; ---------------------------------------------------------------
#copyright = "DateFormat ver. 1.0 (c) 2011, Horst Schaeffer" + #CRLF$ 

OpenConsole()
FilePath.s = ProgramParameter()
Format.s = LCase(ProgramParameter())
format = ReplaceString(Format,"m","M")
DateString.s = Space(64)

If FilePath
  If ReadFile(0,FilePath)
    GetFileTime_(FileID(0),0,0,@filetime.filetime)
    CloseFile(0)
    FileTimeToLocalFileTime_(@filetime,@localfiletime.filetime)
    FileTimeToSystemTime_(@localfiletime,Systemtime.SystemTime)
    GetDateFormat_(#LOCALE_USER_DEFAULT,0,@Systemtime,Format,DateString,64)
  EndIf 
Else 
  GetDateFormat_(#LOCALE_USER_DEFAULT,0,0,Format,DateString,64)
EndIf 

If DateString
  PrintN(DateString)
  response = 0
Else
  response = 1
EndIf 

End response



; IDE Options = PureBasic 4.60 (Windows - x86)
; ExecutableFormat = Console
; CursorPosition = 6
; Executable = DateFormat.exe
; CompileSourceDirectory